summaryrefslogtreecommitdiff
path: root/resources/scripts/blobs/download
diff options
context:
space:
mode:
authorFerass 'Vitali64' EL HAFIDI <vitali64pmemail@protonmail.com>2022-12-28 19:29:18 +0100
committerLeah Rowe <leah@libreboot.org>2022-12-28 18:43:49 +0000
commit7f5dfebf7d37c56d9c7993aaa17c59070cb5aec9 (patch)
tree74c6c01c2d2cc557f7d119bdf8ed4c8875027d72 /resources/scripts/blobs/download
parentf787044642236917c9c4dbcaa48a6b0648097db0 (diff)
Do not rely on bashisms and behaviour undefined by the POSIX specification. Part 2
Signed-off-by: Ferass 'Vitali64' EL HAFIDI <vitali64pmemail@protonmail.com>
Diffstat (limited to 'resources/scripts/blobs/download')
-rwxr-xr-xresources/scripts/blobs/download22
1 files changed, 11 insertions, 11 deletions
diff --git a/resources/scripts/blobs/download b/resources/scripts/blobs/download
index f1898899..3c185477 100755
--- a/resources/scripts/blobs/download
+++ b/resources/scripts/blobs/download
@@ -1,6 +1,7 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# SPDX-FileCopyrightText: 2022 Caleb La Grange <thonkpeasant@protonmail.com>
+# SPDX-FileCopyrightText: 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-only
board="${1}"
@@ -16,10 +17,10 @@ Download_needed(){
for need in ${needs}; do
case ${need} in
*ME*)
- Extract_me || _failed+=" me"
+ Extract_me || _failed="${_failed} me"
;;
*MRC*)
- ./download mrc || _failed+=" mrc"
+ ./download mrc || _failed="${_failed} mrc"
;;
esac
done
@@ -96,23 +97,23 @@ set -- "resources/coreboot/${board}/config/*"
if [ "${CONFIG_HAVE_MRC}" = "y" ]; then
printf 'haswell board detected, downloading mrc\n'
- needs+=" MRC"
+ needs="${needs} MRC"
fi
if [ "${CONFIG_HAVE_IFD_BIN}" = "y" ]; then
printf 'board needs intel firmware descriptor\n'
- needs+=" IFD"
+ needs="${needs} IFD"
fi
if [ "${CONFIG_HAVE_ME_BIN}" = "y" ]; then
printf 'board needs intel management engine\n'
- needs+=" ME"
+ needs="${needs} ME"
fi
if [ "${CONFIG_HAVE_GBE_BIN}" = "y" ]; then
printf 'board needs gigabit ethernet firmware\n'
- needs+=" GBE"
+ needs="${needs} GBE"
fi
# Quickly exit without wasting more time if there are no blobs needed (GM45)
@@ -138,8 +139,7 @@ while read -r line ; do
me_dl_bkup=${2}
;;
esac
-done <<< $(eval "awk ' /\{.*${board_short}.*}{/ {flag=1;next} /\}/{flag=0} flag { print }' resources/blobs/sources")
-
+done << EOF
+$(eval "awk ' /\{.*${board_short}.*}{/ {flag=1;next} /\}/{flag=0} flag { print }' resources/blobs/sources")
+EOF
Download_needed
-
-